%get_gui_data
% Gets the GUI parameters from julia.m. h is the h array associated
% with the GUI.

function h = get_gui_data(h)

%Output image width and height in pixels
h.J.width = str2num(get(h.EDITwidth,'string'));
h.J.height = str2num(get(h.EDITheight,'string'));

%Argand diagram real-axis width and origin
h.J.xwidth = str2num(get(h.EDITxwidth,'string'));
h.J.xc = str2num(get(h.EDITxc,'string'));
h.J.yc = str2num(get(h.EDITyc,'string'));

%Number of iterations
h.J.N = str2num(get(h.EDITiter,'string'));

%Convergence radius
h.J.C = str2num(get(h.EDITc,'string'));

%Colour of pixels that don't exceed convergence criterion
h.J.NaN_colour = str2num(get(h.EDITnancolor,'string'));

%String defining julia function
h.J.funcstr = get(h.EDITjuliafunction,'string');

%Menu cell arrays of colourmaps, julia map functions and map creation rules
h.J.cmaps = get(h.POPUPMENUcolormap,'string');
h.J.map_functions = get(h.POPUPMENUmapfunction,'string');
h.J.map_creation_rules = get(h.POPUPMENUmapcreationrule,'string');

%Current string of colourmaps, julia map functions and map creation rules
h.J.cmap = h.J.cmaps{get(h.POPUPMENUcolormap,'value')};
h.J.map_function = h.J.map_functions{get(h.POPUPMENUmapfunction,'value')};
h.J.map_creation_rule = h.J.map_creation_rules{get(h.POPUPMENUmapcreationrule,'value')};

%Define maximum number of pixel in the X or Y dimensions. If an image has a
%dimension greater than this, several Julia maps will be formed and then
%stitched together. If this is not done then large images (> 2000 x 2000)
%may not be possible to form due to the large amount of memory required.
h.J.max_pixels=str2num(get(h.EDITmaxpixels,'string'));

%Binary flag which defines whether composite images are deleted
h.J.delete_composites=get(h.CHECKBOXdeletecomposites,'value');

%Colour range vector
h.J.clim = str2num(get(h.EDITclim,'string'));

%Binary flag to cause plots for iterations 1:N to be plotted
h.J.plot_all_iter = get(h.CHECKplotalliter,'value');

%Binary flag to set whether 3D plots are created in addition to the 2D julia map
h.J.threeD_surf = get(h.CHECK3dsurf,'value');

%Binary flag to cause combined 3D and 2D plots to be created
h.J.threeD_and_twoD_surf = get(h.CHECK3and2dsurf,'value');

%Output PNG image DPI
h.J.output_bitmap_DPI = num2str(get(h.EDITDPI,'string'));

%End of code